//car.ino - This file is meant to be left as is
// this is a placeholder where the Arduino IDE will start the code execution

#include "car.h"

using namespace car;

// The structure of the project:
//  (1) car.ino is a placeholder where the Arduino IDE will start code execution
//      The user does not need to change this code
//      Forwards the execution to car.cpp through functions exposed in car.h 
//  (2) car.cpp and car.h contain all core functions for webpage, WiFi, driving
//      The user does not need to change car.cpp
//        however, the user is invited to adjust settings at the top in car.h
//      Uses string definitions from webPage.cpp as exposed in webPage.h 
//      Calls pre-defined routines in functions.cpp, exposed in functions.h
//  (3) webPage.cpp and webPage.h defines remote controll web page as a string
//      The user does not need to change this code
//  (4) functions.cpp and functions.h allow the user to extend control items  
//      The user is invited to add custom actions to the pre-defined routines  

////////////////////////////////////////////////////////////////////////////////
// This is a placeholder where the Arduino IDE will start code execution

void setup() {
  //initialize the car library
  initCar();
}

// The initCar starts endless loop, so the default Arduino loop is not called.
//   to add code to the always-on loop, use loopFunction() instead.
void loop() { 
  delay(10000000); //this code will not be reached
}
